import os
from flask import Flask, render_template, request, redirect, flash
from dotenv import load_dotenv  # Optional: can be removed now

from models import db, Config, Plan

app = Flask(__name__)

# Flask config from env vars
app.secret_key = os.environ.get("FLASK_SECRET", "dev-only-key")
app.config["SQLALCHEMY_DATABASE_URI"] = os.environ.get("DATABASE_URL")
app.config["SQLALCHEMY_TRACK_MODIFICATIONS"] = False

db.init_app(app)
